import numpy as np
import scipy.io

def generate_data():

    results_int = [[0, 28, 29],
                   [28, 0, 27],
                   [29, 27, 0]]
    results_float = [[0, 35.472, 28.242],
                     [35.472, 0, 27.344],
                     [28.242, 27.344, 0]]

    return results_int, results_float

results_int, results_float = generate_data()

data_folder = '../data/'
np.save(data_folder + 'matlab_results_int.npy', results_int)
scipy.io.savemat(data_folder + 'matlab_results_int.mat', {"results_int": results_int})
np.save(data_folder + 'matlab_results_float.npy', results_float)
scipy.io.savemat(data_folder + 'matlab_results_float.mat', {"results_flaot": results_float})